@import url('/src/styles/styles.less');

.card-container {
    border-radius: @lms-small-border-radius;
    .medium-elevation-mixin();
    overflow: hidden;
    position: relative;
    margin: 0.5rem;
    text-align: center;

    .card-background {
        position: absolute;
        background-image: url(https://images.unsplash.com/photo-1582727657635-c771002bdada?ixlib=rb-1.2.1&q=80&fm=jpg&crop=entropy&cs=tinysrgb&w=400&fit=max&ixid=eyJhcHBfaWQiOjE0NTg5fQ);
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        height: 10rem;
        width: 100%;
    }

    .profile-image {
        width: 8rem;
        clip-path: circle(60px at center);
        margin-top: 4.5em;
    }

    .card-meta {
        .name {
            font-weight: bold;
            font-size: 1.5rem;
        }

        .description {
            margin: 1rem 2rem;
            font-size: 0.9rem;
        }
    }

    .card-action {
        display: flex;
        flex-direction: row;
        width: 100%;
        flex-wrap: wrap;
        border-top: 1px thin black;
        cursor: pointer;
        user-select: none;

        .card-action-item {
            flex-basis: 100%;
            flex: 1;
            padding: 0.6em 1.2em;
        }

        .card-edit-action {
            .action-button(@blue-5, @blue-4, @blue-6);
            border-bottom-left-radius: @lms-small-border-radius;
        }

        .card-delete-action {
            .action-button(@red-5, @red-4, @red-6);
            border-bottom-right-radius: @lms-small-border-radius;
        }
    }
}